## /geometry/test/

Geometry verification control setup.
Helps in detecting possible overlapping regions.

## Sub-directories :

## Commands :

tolerance [Tolerance] [Unit]

  Set error tolerance value.
  Initial default value: 1E-4*mm.

  Available at all Geant4 states.

  Parameters

  Tolerance | type d | Omittable : current value is used as the default value. |
  Unit | type s | Omittable : default value = mm | Parameter candidates : pc km m cm mm mum nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi

position [X] [Y] [Z] [Unit]

  Set starting position for the line_test.

  Available at all Geant4 states.

  Parameters

  X | type d | Omittable : current value is used as the default value. |
  Y | type d | Omittable : current value is used as the default value. |
  Z | type d | Omittable : current value is used as the default value. |
  Unit | type s | Omittable : default value = cm | Parameter candidates : pc km m cm mm mum nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi

direction [Px] [Py] [Pz] [Unit]

  Set momentum direction for the line_test.
  Direction needs not to be a unit vector.

  Range : Px != 0 || Py != 0 || Pz != 0

  Available at all Geant4 states.

  Parameters

  Px | type d | Omittable : current value is used as the default value. |
  Py | type d | Omittable : current value is used as the default value. |
  Pz | type d | Omittable : current value is used as the default value. |
  Unit | type s |  |

line_test [recursionFlag]

  Performs test along a single specified direction/position.
  Use position and direction commands to change default.
  Initial default: position(0,0,0), direction(0,0,1).
  If recursion flag is set to TRUE, the intersection checks
  will be performed recursively in the geometry tree.

  Available Geant4 state(s) : Idle

  Parameters

  recursionFlag | type b | Omittable : default value = 0 |

grid_cells [X] [Y] [Z]

  Define resolution of grid geometry as number of cells,
  specifying them for each dimension, X, Y and Z.
  Will be applied to grid_test and recursive_test commands.
  Initial default values: X=100, Y=100, Z=100.

  Available at all Geant4 states.

  Parameters

  X | type d | Omittable : current value is used as the default value. |
  Y | type d | Omittable : current value is used as the default value. |
  Z | type d | Omittable : current value is used as the default value. |

grid_test [recursionFlag]

  Start running the default grid test.
  A grid of lines parallel to a cartesian axis is used;
  By default, only direct daughters of the mother volumes are checked.
  If recursion flag is set to TRUE, the intersection checks
  will be performed recursively in the geometry tree.
  NOTE: the recursion may take a very long time,
  depending on the geometry complexity !

  Available Geant4 state(s) : Idle

  Parameters

  recursionFlag | type b | Omittable : default value = 0 |

cylinder_geometry [nPhi] [nZ] [nRho]

  Define details of the cylinder geometry, specifying:
  nPhi - number of lines per Phi
  nZ - number of Z points
  nRho - number of Rho points
  Will be applied to the cylinder_test command.
  Initial default values: nPhi=90, nZ=50, nRho=50.

  Available at all Geant4 states.

  Parameters

  nPhi | type d | Omittable : current value is used as the default value. |
  nZ | type d | Omittable : current value is used as the default value. |
  nRho | type d | Omittable : current value is used as the default value. |

cylinder_scaleZ [fracZ]

  Define the resolution of the cylinder geometry, specifying
  the fraction scale for points along Z.
  Initial default values: fracZ=0.8

  Available at all Geant4 states.

  Parameters

  fracZ | type d | Omittable : default value = 0.8 |

cylinder_scaleRho [fracRho]

  Define the resolution of the cylinder geometry, specifying
  the fraction scale for points along Rho.
  Initial default values: fracRho=0.8

  Available at all Geant4 states.

  Parameters

  fracRho | type d | Omittable : default value = 0.8 |

cylinder_test [recursionFlag]

  Start running the cylinder test.
  A set of lines in a cylindrical pattern of gradually
  increasing mesh size.
  By default, only direct daughters of the mother volumes are checked.
  If recursion flag is set to TRUE, the intersection checks
  will be performed recursively in the geometry tree.
  NOTE: the recursion may take a very long time,
  depending on the geometry complexity !

  Available Geant4 state(s) : Idle

  Parameters

  recursionFlag | type b | Omittable : default value = 0 |

recursion_start [initial_level]

  Set the initial level in the geometry tree for recursion.
  recursive_test will then start from the specified level.

  Available at all Geant4 states.

  Parameters

  initial_level | type i | Omittable : default value = 0 |

recursion_depth [recursion_depth]

  Set the depth in the geometry tree for recursion.
  recursive_test will then stop after reached the specified depth.
  By default, recursion will proceed for the whole depth.

  Available at all Geant4 states.

  Parameters

  recursion_depth | type i | Omittable : default value = -1 |

run [recursionFlag]

  Start running the default grid test.
  Same as the grid_test command.
  If recursion flag is set to TRUE, the intersection checks
  will be performed recursively in the geometry tree.
  NOTE: the recursion may take a very long time,
  depending on the geometry complexity !

  Available Geant4 state(s) : Idle

  Parameters

  recursionFlag | type b | Omittable : default value = 0 |

recursive_test

  Start running the recursive grid test.
  A grid of lines along a cartesian axis is recursively
  to all daughters and daughters of daughters, etc.
  NOTE: it may take a very long time,
  depending on the geometry complexity !

  Available Geant4 state(s) : Idle